## openslp-dfsg 1.2.1

=== debian/changelog ===
openslp-dfsg (1.2.1-9ubuntu0.3) trusty-security; urgency=medium

  * SECURITY UPDATE: DoS or code exec via double-free
    - debian/patches/CVE-2017-17833.patch: fix up local copy of pointer in
      slpd/slpd_process.c.
    - CVE-2017-17833
    - CVE-2018-12938

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 06 Jul 2018 13:25:51 -0400

openslp-dfsg (1.2.1-9ubuntu0.2) trusty-security; urgency=medium

  * SECURITY UPDATE: denial of service via out-of-bounds buffer access
    - debian/patches/CVE-2012-4428.patch: fix handling of string-list in
      common/slp_compare.c
    - CVE-2012-4428
  * SECURITY UPDATE: denial of service via double free flaw
    - debian/patches/CVE-2015-5177.patch: fix double free if
      SLPDKnownDAAdd() fails in slpd/slpd_knownda.c.
    - CVE-2015-5177
  * debian/preinst, debian/postinst: removed as they weren't needed and
    were causing package to be uninstallable on trusty.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 28 Aug 2015 15:51:20 -0400

openslp-dfsg (1.2.1-9) unstable; urgency=low

  * QA upload.
  * Drop 99_auroreconf patch, use dh-autoreconf instead. Ajust build-depends
    accordingly.
  * Bump Standards-Version to 3.9.2.
  * Drop duplicate Section and Priority fields from debian/control.
  * Move to dh_install instead of dh_movefiles.
  * Switch to format 3.0 (quilt).
  * Call make disclean in clean target, stop finishing the cleanup manually.
  * Enable building of the static lib, and ship it in libslp1-dev.
  * Stop shipping the .la file.
  * Bump debhelper compat version to 8. Ajust build-depends accordingly.
  * Drop build-depends on debconf.
  * Remove manual calls to ldconfig, debhelper adds them for us.
  * Stop the debconf abuse, ship a README.Debian with libslp1 instead.
    Closes: #613472.
  * Drop now unneeded BSD-specific tricks from debian/rules.

 -- Regis Boudin <regis@debian.org>  Mon, 06 Feb 2012 23:02:46 +0100

openslp-dfsg (1.2.1-8) unstable; urgency=low

  * Orphan the package, setting maintainer to Debian QA group
  * Fix CVE-2010-3609 (Closes: #623551, Closes: #621030)

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon, 19 Dec 2011 19:09:53 +0100

openslp-dfsg (1.2.1-7.8) unstable; urgency=low

  * Non-maintainer upload.
  * Bump debhelper compatibility to 7
  * As a consequence of the former, replace deprecated "dh_clean -k"
    by dh_prep
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #581056

 -- Christian Perrier <bubulle@debian.org>  Sat, 31 Jul 2010 06:35:03 -0400

openslp-dfsg (1.2.1-7.7) unstable; urgency=low

  * Non-maintainer upload to solve release goal.
  * Correct init.d script dependencies to make sure slpd
    starts before slapd (Closes: #279297).
  * Add homepage link in control file.
  * Add 'set -e' to libslp1 postrm and postinst, to make sure
    errors are not ignored.  Thanks, lintian, for the warning.
  * Add ${misc:Depends} as dependency for all binary packages.
    Thanks, lintian, for the warning.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 06 Apr 2010 12:00:08 +0200

openslp-dfsg (1.2.1-7.6) unstable; urgency=low

  * Non-maintainer upload.
  * debian/libslp1.config, debian/control:
    Comment out dead code to avoid needing netstat, add a warning about
    needing pre-depends when/if uncommenting code, and drop depends on
    net-tools (Closes: #455447, #528739, #534567)
  * debian/po/de.po:
    Avoid sexual ambiguity in german translation (Closes: #506107)
  * debian/patches/*, debian/control, debian/rules:
    Add debian/patches/01_have_net_if_arp.diff, add quilt patch system,
    and dump autoreconf results into debian/patches/99_autoreconf.diff
    (Closes: #394388)
  * debian/po/es.po: Add updated spanish translation (Closes: #507444)
  * debian/rules: make clean remove config.{guess,sub} to avoid cluttering
    the package.diff.gz.

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 25 Jun 2009 12:50:32 +0200

openslp-dfsg (1.2.1-7.5) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Dutch. Closes: #501377

 -- Christian Perrier <bubulle@debian.org>  Wed, 05 Nov 2008 07:18:43 +0100

openslp-dfsg (1.2.1-7.4) unstable; urgency=low

  * Non-maintainer upload to fix some other pending l10n issues.
  * Debconf translations:
    - Swedish. Closes: #483435
    - Japanese. Closes: #495231

 -- Christian Perrier <bubulle@debian.org>  Tue, 19 Aug 2008 09:46:30 +0200

openslp-dfsg (1.2.1-7.3) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #443648
  * [Debconf translation updates]
    - French
    - Finnish. Closes: #444252
    - Tamil. Closes: #444280
    - Vietnamese. Closes: #444396
    - Galician. Closes: #444757
    - Italian. Closes: #445306
    - Brazilian Portuguese. Closes: #445732
    - Russian. Closes: #446130
    - Portuguese. Closes: #446301
    - German. Closes: #446395
    - Czech. Closes: #452877
    - Basque. Closes: #476801
  * [Lintian] Change sections in doc-base documents:
    "Programming", "Network/Communication"
  * [Lintian] Remove extra leading whitepaces in Abstract continuation
    lines in doc-base documents
  * [Lintian] Add ${shlibs:Depends} in slptool dependencies as the package
    was not depending on the libc

 -- Christian Perrier <bubulle@debian.org>  Fri, 25 Apr 2008 07:59:18 +0200

openslp-dfsg (1.2.1-7.2) unstable; urgency=low

  * Non-maintainer upload to solve release goal.
  * Add LSB dependency header to init.d scripts (Closes: #462219).

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 27 Mar 2008 09:44:38 +0100

openslp-dfsg (1.2.1-7.1) unstable; urgency=low

  * Non-maintainer upload.
  * Workaround maintainers mistake of adding debian/conffiles
    to orig.tar.gz
  * Fix clean target, Closes: #432887
    Thanks Kartik Mistry


