## openslp-dfsg 1.2.1-maemo1

=== debian/changelog ===
openslp-dfsg (1.2.1-maemo1) stable; urgency=high

  * fix to compile for maemo

 -- Thomas Maass <inyourface@gmx.de>  Sun, 27 Jun 2010 21:14:00 +0200
