=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: openslp-dfsg
 Section: net
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 8), autotools-dev, dh-autoreconf
-Build-Conflicts: libssl-dev
-Standards-Version: 3.9.2
-Homepage: http://www.openslp.org/
+Maintainer: Thomas Maass <inyourface@gmx.de>
+Build-Depends: debhelper (>= 4.1.26), debconf | debconf-2.0, autotools-dev
+Standards-Version: 3.7.3
 
 Package: slpd
+Section: net
+Priority: extra
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${shlibs:Depends}
 Suggests: openslp-doc (= ${binary:Version})
 Description: OpenSLP Server (slpd)
  Service Location Protocol is an IETF standard protocol that is used to
@@ -22,8 +21,8 @@
 
 Package: openslp-doc
 Section: doc
+Priority: extra
 Architecture: all
-Depends: ${misc:Depends}
 Description: OpenSLP documentation
  Service Location Protocol is an IETF standard protocol that is used to
  discover/advertise services on the network. You can use SLP for anything 
@@ -37,7 +36,7 @@
 Section: libs
 Priority: optional
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, debconf | debconf-2.0
+Depends: ${shlibs:Depends}, debconf | debconf-2.0, net-tools
 Suggests: slpd (= ${binary:Version}), openslp-doc (= ${binary:Version})
 Description: OpenSLP libraries
  Service Location Protocol is an IETF standard protocol that is used to
@@ -51,8 +50,9 @@
 
 Package: slptool
 Section: utils
+Priority: extra
 Architecture: any
-Depends: ${misc:Depends}, libslp1 (= ${binary:Version}), ${shlibs:Depends}
+Depends: libslp1 (= ${binary:Version}), ${shlibs:Depends}
 Suggests: openslp-doc (= ${binary:Version})
 Description: SLP command line tool
  Service Location Protocol is an IETF standard protocol that is used to
@@ -63,8 +63,9 @@
 
 Package: libslp-dev
 Section: libdevel
+Priority: extra
 Architecture: any
-Depends: ${misc:Depends}, libslp1 (= ${binary:Version}), libc6-dev
+Depends: libslp1 (= ${binary:Version}), libc6-dev
 Suggests: openslp-doc (= ${binary:Version})
 Conflicts: libxdelta3-dev
 Description: OpenSLP development libraries
